POST
https://api.applivery.io/v1/integrations/distributions/{publishedApplicationId}/notify
curl -X POST "https://api.applivery.io/v1/integrations/distributions/{publishedApplicationId}/notify" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" \
-d '{
"configuration": {
"notifyCollaborators": true,
"notifyEmployees": true,
"filter": []
},
"language": "en",
"emailText": "string",
"emailSubject": "string",
"userAudienceIds": [
"string"
]
}'const response = await fetch("https://api.applivery.io/v1/integrations/distributions/{publishedApplicationId}/notify", {
method: "POST",
headers: {
Authorization: "Bearer <YOUR_API_KEY>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"configuration": {
"notifyCollaborators": true,
"notifyEmployees": true,
"filter": []
},
"language": "en",
"emailText": "string",
"emailSubject": "string",
"userAudienceIds": [
"string"
]
}),
});
const data = await response.json();import requests
response = requests.post(
"https://api.applivery.io/v1/integrations/distributions/{publishedApplicationId}/notify",
headers={"Authorization": "Bearer <YOUR_API_KEY>"},
json={
"configuration": {
"notifyCollaborators": true,
"notifyEmployees": true,
"filter": []
},
"language": "en",
"emailText": "string",
"emailSubject": "string",
"userAudienceIds": [
"string"
]
},
)
data = response.json()Request
Send your API key in the request header
authorization
Example:
Authorization: Bearer <token>
publishedApplicationId
string
required
Body Params
application/json
configuration
object
required
notifyCollaborators
any
optional
notifyEmployees
any
optional
filter
array [array]
required
language
any
required
emailText
any
optional
emailSubject
any
optional
userAudienceIds
array [string]
optional
{
"configuration": {
"notifyCollaborators": true,
"notifyEmployees": true,
"filter": [
[
"string"
]
]
},
"language": "en",
"emailText": "string",
"emailSubject": "string",
"userAudienceIds": [
"string"
]
}
Responses
200 Response
application/json
status
boolean
required
data
object
required
done
any
required
{
"status": true,
"data": {
"done": true
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}